petsc-3.4.2 2013-07-02

# DMDAGetAO

Gets the application ordering context for a distributed array.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAGetAO(DM da,AO *ao)

Collective on DMDA

### Input Parameter

da -the distributed array

### Output Parameters

ao -the application ordering context for DMDAs

### Notes

In this case, the AO maps to the natural grid ordering that would be used for the DMDA if only 1 processor were employed (ordering most rapidly in the x-direction, then y, then z). Multiple degrees of freedom are numbered for each node (rather than 1 component for the whole grid, then the next component, etc.)

### Keywords

distributed array, get, global, indices, local-to-global

### See Also

DMDACreate2d(), DMDAGetGhostCorners(), DMDAGetCorners(), DMDALocalToGlocal()
DMGlobalToLocalBegin(), DMGlobalToLocalEnd(), DMDALocalToLocalBegin(), DMDALocalToLocalEnd(), DMDAGetGlobalIndices(), DMDAGetOwnershipRanges(), AO, AOPetscToApplication(), AOApplicationToPetsc()

Level:intermediate
Location:src/dm/impls/da/daindex.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages